%define	_bindir	/bin

Summary:	An enhanced version of csh, the C shell.
Name:		tcsh
Version:	6.14.00
Release:	1
License:	distributable
Group:		System Environment/Shells
Source:		ftp://ftp.astron.com/pub/tcsh/tcsh-%{version}.tar.gz
Patch0:		tcsh-6.09.00-termios.patch
Patch1:		tcsh-6.10.00-glibc_compat.patch
Patch2:		tcsh-6.14.00-iconv.patch
Provides:	csh = %{version}
Prereq:		fileutils, grep
URL:		http://www.primate.wisc.edu/software/csh-tcsh-book/
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
Tcsh is an enhanced but completely compatible version of csh, the C
shell.  Tcsh is a command language interpreter which can be used both
as an interactive login shell and as a shell script command processor.
Tcsh includes a command line editor, programmable word completion,
spelling correction, a history mechanism, job control and a C language
like syntax.

%files
  %defattr(-,root,root)
  %doc FAQ Fixes NewThings complete.tcsh eight-bit.txt tcsh.html
# %doc %{_mandir}/*/*
  %attr(0511,root,root)		%{_bindir}/tcsh
  %attr(0511,root,root)		%{_bindir}/csh

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
  %configure
  make LIBES="-lnsl -ltermcap -lcrypt" %{?_smp_mflags} all catalogs
  %{__perl} tcsh.man2html

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  ln -sf tcsh $RPM_BUILD_ROOT%{_bindir}/csh
  nroff -me eight-bit.me > eight-bit.txt

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
  if [ ! -f /etc/shells ]; then
    echo "%{_bindir}/tcsh" >> /etc/shells
    echo "%{_bindir}/csh"  >> /etc/shells
  else
    grep '^%{_bindir}/tcsh$' /etc/shells > /dev/null || echo "%{_bindir}/tcsh" >> /etc/shells
    grep '^%{_bindir}/csh$' /etc/shells  > /dev/null || echo "%{_bindir}/csh"  >> /etc/shells
  fi

%postun
  if [ ! -x %{_bindir}/tcsh ]; then
      grep -v '^%{_bindir}/tcsh$' /etc/shells | grep -v '^%{_bindir}/csh$'> /etc/shells.rpm
      mv /etc/shells.rpm /etc/shells
  fi

%changelog
* Tue Jun 30 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 6.14.00, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
